Skip to main content
GET
Get current usage for a customer

Authorizations

Authorization
string
header
required

Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.

Path Parameters

external_customer_id
string
required

The unique external identifier of the customer

Query Parameters

subscription_id
string
required

Filter by subscription ID. The subscription external unique identifier supplied by client. Must contain only alphanumeric characters, underscores, and hyphens.

Pattern: ^[a-zA-Z0-9_-]*$
Example:

"SUB_1752779018503"

Response

Returns the current usage for the specified customer.

from_datetime
string<date-time>
required

Starting date of billing period, in the ISO 8601 datetime format in Universal Time (UTC).

Example:

"2022-07-01T00:00:00Z"

to_datetime
string<date-time>
required

Ending date of the billing period, in the ISO 8601 datetime format in Universal Time (UTC).

Example:

"2022-07-31T23:59:59Z"

issuing_date
string<date>
required

The date of creation of the invoice.

Pattern: ^(?:[1-9]\d{3}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-8]))|(?:(?:\d{2}(?:0[48]|[2468][048]|[13579][26]))|(?:[02468][048]00|[13579][26]00))-02-29)$
Example:

"2022-08-01"

total_amount
object
required

The total amount for the current usage period, including all charges and taxes.

Example:
taxes_amount
object
required

The total amount of taxes applied to the current usage period.

Example:
charges_usage
object[]
required

Array of charges that comprise the current usage. It contains detailed information about individual charge items associated with the usage.

invoice_id
string

Unique invoice Id.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"